Convert my account from US to EU?

First Riot Post
Comment below rating threshold, click here to show it.

PlantTheBomb

Junior Member

11-22-2009

Hi Riot games.

I'm one of the ones who can not play on the US client anymore. I'm from the EU (Denmark).
Well I seem to be able to download and play on the EU client. And I would have wanted to switch if i hadn't already played some matches on the US client.

Is it possible for you to change my account details and earnings and so on from my US account to my EU one? i have the same user id on both of em.

Thx I hope this is possible


Comment below rating threshold, click here to show it.

Jazzminkey

Member

11-22-2009

Not possible.

Sorry~


Comment below rating threshold, click here to show it.

jmccaffrey

Master Recruiter

11-23-2009
1 of 1 Riot Posts

We do not block people from the game if they are in the EU, what is your issue?


Comment below rating threshold, click here to show it.

Habibi

This user has referred a friend to League of Legends, click for more information

Member

11-23-2009

Quote:
Originally Posted by jmccaffrey View Post
We do not block people from the game if they are in the EU, what is your issue?

have you not been reading?! People across Europe CANNOT connect to the US servers cause they're ISP are getting blocked! The only way we get through is by using a proxy... We've been complaining for days >.< Sometimes i wonder if you guys read the forums :P


Comment below rating threshold, click here to show it.

PlantTheBomb

Junior Member

11-23-2009

@jmccaffrey

My Us clients will not update, they get no connection. have tried the original i downloaded, and got the new one from lolinstaller.exe. they act the same. Could play on that fixed version you guys made for a while but it stopped working yesterday.

Can play on the EU client tho. is it because its an older version maybe? Or did America really start banning europeans from their network?


Comment below rating threshold, click here to show it.

Habibi

This user has referred a friend to League of Legends, click for more information

Member

11-23-2009

Quote:
Originally Posted by PlantTheBomb View Post
@jmccaffrey

My Us clients will not update, they get no connection. have tried the original i downloaded, and got the new one from lolinstaller.exe. they act the same. Could play on that fixed version you guys made for a while but it stopped working yesterday.

Can play on the EU client tho. is it because its an older version maybe? Or did America really start banning europeans from their network?

Well think about it this way, You can play on EU side perfectly fine, you can play the US side perfectly fine with a PROXY

So yes i do think they blocked it, maybe its not intended... but im pretty sure it is ;>


Comment below rating threshold, click here to show it.

HappyNihil

Member

11-23-2009

Quote:
Originally Posted by Habibi View Post
Well think about it this way, You can play on EU side perfectly fine, you can play the US side perfectly fine with a PROXY

So yes i do think they blocked it, maybe its not intended... but im pretty sure it is ;>
One idiot more.

No. EU is not blocked. You can now even buy stuff in Riot store if youre not from US. And many people dont have this problem.
And no, I cant play on US server with a proxy, I cant even patch with a proxy, itīs some DNS problem, the patching network isnt propagating, some ISPs work, some dont.

For the time just use the pre-installed stand alone client, that works at least for me without a problem. Hopefully theyll fix it.


Comment below rating threshold, click here to show it.

Habibi

This user has referred a friend to League of Legends, click for more information

Member

11-23-2009

Quote:
Originally Posted by HappyNihil View Post
One idiot more.

No. EU is not blocked. You can now even buy stuff in Riot store if youre not from US. And many people dont have this problem.
And no, I cant play on US server with a proxy, I cant even patch with a proxy, itīs some DNS problem, the patching network isnt propagating, some ISPs work, some dont.

For the time just use the pre-installed stand alone client, that works at least for me without a problem. Hopefully theyll fix it.

You see patching works just fine with a proxy, however connecting to the server dosn't. i still have to run my proxy.